Subject: [Teas] BIER-TE in IETF last call, pls. provide feedback

From: Toerless Eckert <[email-masked]>
Date: Fri, 23 Jul 2021 18:00:16 +0200

Dear TEAS WG

draft-ietf-bier-te (BIER Tree Engineering) has entered IETF last call 07/20.

Speaking for the authors, i  think this new L3 forwarding plane work will
have future TEAS control plane implications and/or work, so would very
much appreciate review/feedback from the TEAS community (Lou was already
helpfull during BIER WG last call, thanks). So, please provide your
feedback to [email-masked]. And/or feel free to reach out to me, all the
authors or [email-masked] for anything you don't feel is appropriate for
last-call (questions etc..).

BIER-TE is per-hop stateless multicast - engineered traffic steering with replication.
I like to think of it as a way to do SR like functionality for multicast.

To catch up on it: I did give an overview presentation of BIER-TE at
TEAS WG meeting, IETF101, this shoud still be a good read/listen:

https://datatracker.ietf.org/meeting/101/materials/slides-101-teas-framework-for-traffic-engineering-with-bier-te-forwarding-01

That presentation was done in conjunction with a proposed TEAS draft
for a BIER-TE TEAS framework, but i have not been able to update that
document since.

Attached last-call notice from IESG.

Thanks!
    Toerless

In-Reply-To: <[email-masked]>

On Tue, Jul 20, 2021 at 12:57:10PM -0700, The IESG wrote:
> 
> The IESG has received a request from the Bit Indexed Explicit Replication WG
> (bier) to consider the following document: - 'Tree Engineering for Bit Index
> Explicit Replication (BIER-TE)'
>   <draft-ietf-bier-te-arch-10.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2021-08-11. Exceptionally, comments may
> be sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    This memo describes per-packet stateless strict and loose path
>    steered replication and forwarding for Bit Index Explicit Replication
>    packets (RFC8279).  It is called BIER Tree Engineering (BIER-TE) and
>    is intended to be used as the path steering mechanism for Traffic
>    Engineering with BIER.
> 
>    BIER-TE introduces a new semantic for bit positions (BP) that
>    indicate adjacencies, as opposed to BIER in which BPs indicate Bit-
>    Forwarding Egress Routers (BFER).  BIER-TE can leverage BIER
>    forwarding engines with little changes.  Co-existence of BIER and
>    BIER-TE forwarding in the same domain is possible, for example by
>    using separate BIER sub-domains (SDs).  Except for the optional
>    routed adjacencies, BIER-TE does not require a BIER routing underlay,
>    and can therefore operate without depending on an Interior Gateway
>    Routing protocol (IGP).
> 
>    As it operates on the same per-packet stateless forwarding
>    principles, BIER-TE can also be a good fit to support multicast path
>    steering in Segment Routing (SR) networks.
> 
> 
> 
> 
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-bier-te-arch/
> 
> 
> The following IPR Declarations may be related to this I-D:
> 
>    https://datatracker.ietf.org/ipr/2766/
>